Projects / Checker

Checker

Checker is a debugging tool suite which detects memory errors at runtime. It's like a GNU 'Purify'. It still has alpha status and you need gcc version 2.8.1 to use Checker. It currently works only for C.

Tags
Licenses

Recent comments

18 Sep 2001 09:35 flavb

Re: Can't build w/gcc 2.95.2 and Linux 2.4.3

> Be advised that this package can't be
> built with modern versions of gcc.(like
> 2.95.3).
>
> Does anyone know if there is a binary
> version somewhere that can be used? Or
> even better, patches to make it work
> with modern installations?
>

I found the following at the URL:
http://gcc.gnu.org/ml/gcc/2001-01/msg01317.html

"Checker is not actively maintained. However, it was updated in the snapshot
for gcc 2.95.2"
[...]
"You can get the latest snapshot, via anonymous cvs:
> cvs -d :pserver:anoncvs@subversions.gnu.org:/cvs login
Password: [just hit enter]
> cvs -d :pserver:anoncvs@subversions.gnu.org:/cvs checkout checker
See http://www.gnu.org/software/devel.html#CVS for more information.
You might need to build configure file with autoconf"

flav

27 Jul 2001 16:12 erll

Can't build w/gcc 2.95.2 and Linux 2.4.3
Be advised that this package can't be built with modern versions of gcc.(like 2.95.3).

Does anyone know if there is a binary version somewhere that can be used? Or even better, patches to make it work with modern installations?

30 Aug 1999 14:47 hochstrb

language support & install quirks
The previous comment stated that it only works for C. It has support for C++. Also, it isn't hard to install.

Screenshot

Project Spotlight

OpenStack4j

A Fluent OpenStack client API for Java.

Screenshot

Project Spotlight

TurnKey TWiki Appliance

A TWiki appliance that is easy to use and lightweight.